//---------------------------------------------------------------------------
#pragma once
#include "XlsPtr.h"
#include "XlsBase.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CFont : public CBase
{
	friend class CWorksheet;
	friend class CObject;
public:
	CFont&	operator= ( const CFont& font);
    bool	operator==( const CFont& font) const;
    bool	operator!=( const CFont& font) const;

public:
	void		SetName( const char* lpszName);
	const char* GetName() const;
	void		SetSize( unsigned short wSize);
	unsigned short		GetSize() const;
	double		GetHeight( bool fWithLineGap);

	void		SetBold( bool fIsBold);
	bool		IsBold() const;
	void		SetItalic( bool fIsItalic);
	bool		IsItalic() const;
	void		SetUnderline( bool fIsUnderline);
	bool		IsUnderline() const;

	void		SetColor( COLORREF refColor);
	void		SetColor( BYTE bRed, BYTE bGreen, BYTE bBlue);
private:
    CFont(void* pimpl);
    ~CFont();
private:
    CFont(const CFont&);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------

