//---------------------------------------------------------------------------
#pragma once
#include "XlsPtr.h"
#include "XlsObject.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CRange : public CObject
{
	friend class CWorksheet;
public:
    bool operator==( const CRange& r);
    bool operator!=( const CRange& r);

public:
    bool		isNull() const;

    void		SetText( const char* lpszText);
    void		SetNumber( double dbNumber);
    void		SetFormula( const char* lpszFormula);
    void		SetFormulaArray( const char* lpszFormula);
    const char* GetText();

    TRangePtr	Range(  int nRow, int nCol);
    TRangePtr	Expand( int nRows, int nCols);
    TRangePtr	GetEntireRows() const;
    TRangePtr	GetEntireCols() const;

    void		SetMerged( bool fIsMerged);

    void		SetColWidth( double dbWidth);
    double		GetColWidth();
    double		GetWidth();
    void		SetRowHeight( double dbHeight);
    double		GetRowHeight();
    double		GetHeight();
    double		GetDefaultRowHeight();

    double		GetTextCalculatedHeight( const char* szText);
    double		GetTextCalculatedHeight();
    void		AutoFitLastRowHeight();

    void		SetHidden(bool fIsHidden);
    bool		IsHidden();

    unsigned short	GetRow();
    unsigned short	GetCol();
    bool			GetAddress( bool fLeftTop, char* buff, unsigned int& buffSize);
    unsigned int	GetCount();
    bool			IsOneCell();

    TWorksheetPtr Parent() const;
private:
    CRange(void* pimpl);
    ~CRange();
private:
    CRange( const CRange&);
    CRange& operator=( const CRange&);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
